Subject: Re: [PATCH net-next 4/5] selftest: netdevsim: Add devlink port resource test

From: Jakub Kicinski <[email-masked]>
Date: Tue, 3 Feb 2026 18:26:52 -0800

On Tue, 3 Feb 2026 11:16:45 +0100 Paolo Abeni wrote:
> # Error: netdevsim: Exceeded number of supported fib entries.
> # Error: netdevsim: Exceeded number of supported fib entries.
> # kernel answers: Operation not permitted
> # TEST: resource test                                                 [ OK ]
> # Command "resource" not found
> # Command "resource" not found
> # TEST: port resource test                                            [FAIL]
> # Failed to show port resource for netdevsim/netdevsim10/0
> # TEST: dev_info test                                                 [ OK ]
> # TEST: empty reporter test                                           [ OK ]
> # kernel answers: Success
> # kernel answers: Success
> # ./devlink.sh: line 614: echo: write error: Invalid argument
> # Error: netdevsim: User setup the recover to fail for testing purposes.

I suppose this is because iproute2 needs patching. Tariq, could you
post the user space bits or share a link where we can pull them from?
I'll revive this in PW once we have CLI updated..